FROM certbot/certbot

# Проверяем наличие crond (используем command -v вместо which)
RUN if ! command -v crond > /dev/null 2>&1; then \
        echo "Cron not found. Installing cronie..."; \
        apk add --no-cache cronie; \
    else \
        echo "Cron is already installed."; \
    fi

# Создаем директории для конфигов
RUN mkdir -p /etc/letsencrypt/config

# Копируем конфигурационные файлы
COPY scripts/ /opt/

# Устанавливаем права
RUN chmod +x /opt/*

ENTRYPOINT ["/opt/init-certbot.sh"]